# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::PixelLODEvaluator Class Reference

A LODEvaluator that computes the appropriate LOD based on the approximate 2d area that an Actor covers on the screen. More...

`#include <PixelLODEvaluator.hpp>`

Inheritance diagram for vl::PixelLODEvaluator:

List of all members.

## Public Member Functions

| PixelLODEvaluator ()
virtual int | evaluate (Actor *actor, Camera *camera)
const std::vector< float > & | pixelRangeSet () const
std::vector< float > & | pixelRangeSet ()

## Protected Attributes

std::vector< float > | mPixelRangeSet

## Detailed Description

A LODEvaluator that computes the appropriate LOD based on the approximate 2d area that an Actor covers on the screen.

See also:
  - LODEvaluator
  - PixelLODEvaluator

Definition at line 50 of file PixelLODEvaluator.hpp.

## Constructor & Destructor Documentation

vl::PixelLODEvaluator::PixelLODEvaluator | ( | ) | `[inline]`

Definition at line 55 of file PixelLODEvaluator.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

int PixelLODEvaluator::evaluate | ( | Actor * | actor,
|  | Camera * | camera
| ) |  | `[virtual]`

Implements vl::LODEvaluator.

Definition at line 38 of file PixelLODEvaluator.cpp.

References vl::AABB::addPoint(), vl::Renderable::boundingBox(), vl::AABB::height(), vl::Viewport::height(), vl::Actor::lod(), vl::AABB::maxCorner(), vl::AABB::minCorner(), mPixelRangeSet, vl::Camera::projectionMatrix(), vl::AABB::setNull(), vl::Actor::transform(), vl::AABB::transformed(), vl::Camera::viewMatrix(), vl::Camera::viewport(), vl::Vector4< T_Scalar >::w(), vl::AABB::width(), vl::Viewport::width(), vl::Transform::worldMatrix(), vl::Viewport::x(), vl::Vector4< T_Scalar >::x(), vl::Vector3< T_Scalar >::x(), vl::Vector4< T_Scalar >::xyz(), vl::Viewport::y(), vl::Vector4< T_Scalar >::y(), vl::Vector3< T_Scalar >::y(), vl::Vector4< T_Scalar >::z(), and vl::Vector3< T_Scalar >::z().

const std::vector<float>& vl::PixelLODEvaluator::pixelRangeSet | ( | ) | const`[inline]`

Definition at line 62 of file PixelLODEvaluator.hpp.

Referenced by vl::VLXClassWrapper_LODEvaluator::exportLODEvaluator(), and vl::VLXClassWrapper_LODEvaluator::importLODEvaluator().

std::vector<float>& vl::PixelLODEvaluator::pixelRangeSet | ( | ) | `[inline]`

Definition at line 64 of file PixelLODEvaluator.hpp.

## Member Data Documentation

std::vector<float> vl::PixelLODEvaluator::mPixelRangeSet`[protected]`

Definition at line 67 of file PixelLODEvaluator.hpp.

Referenced by evaluate().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/PixelLODEvaluator.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/PixelLODEvaluator.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:41.
Permission is granted to use this page to write and publish articles regarding Visualization Library.